#### Description:

A DSBSpecFrame is a specialised form of SpecFrame which represents positions in a spectrum obtained using a dual sideband instrument. Such an instrument produces a spectrum in which each point contains contributions from two distinctly different frequencies, one from the `"` lower side band`"` (LSB) and one from the `"` upper side band`"` (USB). Corresponding LSB and USB frequencies are connected by the fact that they are an equal distance on either side of a fixed central frequency known as the `"` Local Oscillator`"` (LO) frequency.

When quoting a position within such a spectrum, it is necessary to indicate whether the quoted position is the USB position or the corresponding LSB position. The SideBand attribute provides this indication. Another option that the SideBand attribute provides is to represent a spectral position by its topocentric offset from the LO frequency.

In practice, the LO frequency is specified by giving the distance from the LO frequency to some `"` central`"` spectral position. Typically this central position is that of some interesting spectral feature. The distance from this central position to the LO frequency is known as the `"` intermediate frequency`"` (IF). The value supplied for IF can be a signed value in order to indicate whether the LO frequency is above or below the central position.

#### Constructor Function

astDSBSpecFrame

#### Inheritance

The DSBSpecFrame class inherits from the SpecFrame class.

#### Attributes

In addition to those attributes common to all SpecFrames, every DSBSpecFrame also has the following attributes:

- AlignSideBand: Should alignment occur between sidebands?

- DSBCentre: The central position of interest.

- IF: The intermediate frequency used to define the LO frequency.

- ImagFreq: The image sideband equivalent of the rest frequency.

- SideBand: Indicates which sideband the DSBSpecFrame represents.

#### Functions

The DSBSpecFrame class does not define any new functions beyond those which are applicable to all SpecFrames.
Copyright (C) 2021 East Asian Observatory